OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class BasicElement

    java.lang.Object
      org.opennms.netmgt.outage.BasicElement

Direct Known Subclasses:
  BasicInterface, BasicNode, BasicService

public abstract class BasicElement
extends java.lang.Object

Represents a network element

Author:
  brozow

Constructor Summary
`BasicElement()`

Method Summary
`abstract BasicNetwork` `getNetwork()`
`protected long` `getNextOutageId(java.sql.Connection dbConn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicElement

    public BasicElement()

Method Detail

### getNetwork

    public abstract BasicNetwork getNetwork()

### getNextOutageId

    protected long getNextOutageId(java.sql.Connection dbConn)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.